gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Gtk.IStyleProvider Maintains application settings for objects attached to a toplevel. See
- Constructor
  Default constructor.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  GLib.Property("gtk-alternative-button-order")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-alternative-sort-arrows")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-application-prefer-dark-theme")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-auto-mnemonics")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-button-images")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-can-change-accels")
  System.Boolean To be added. To be added. To be added.
- Property
  System.Obsolete("Removed from C API, returns IntPtr.Zero")
  System.IntPtr Hashtable to map names to colors. A pointer to a native GHashtable.
- Property
  GLib.Property("gtk-color-palette")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-color-scheme")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-cursor-blink")
  System.Boolean True if the cursor should blink, false if it should not blink. a
- Property
  GLib.Property("gtk-cursor-blink-time")
  System.Int32 Blink interval in milliseconds for the cursor. a
- Property
  GLib.Property("gtk-cursor-blink-timeout")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-cursor-theme-name")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-cursor-theme-size")
  System.Int32 To be added. To be added. To be added.
- Property
  Gtk.Settings Returns a default settings object. A
- Property
  GLib.Property("gtk-dnd-drag-threshold")
  System.Int32 Number of pixels the cursor can move before dragging. a
- Property
  GLib.Property("gtk-double-click-distance")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-double-click-time")
  System.Int32 Maximum interval between clicks for a mouse action to be considered a double-click. Measured in milliseconds. a
- Property
  GLib.Property("gtk-enable-accels")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-enable-animations")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-enable-event-sounds")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-enable-input-feedback-sounds")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-enable-mnemonics")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-enable-tooltips")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-entry-password-hint-timeout")
  System.UInt32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-entry-select-on-focus")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-error-bell")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-fallback-icon-theme")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-file-chooser-backend")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-fontconfig-timestamp")
  System.UInt32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-font-name")
  System.String A font name. a
- Method
  Gtk.Settings `` a Gets the settings for . a
- Method
  Gtk.IconFactory `` To be added. To be added. To be added. To be added.
- Method
  Gtk.StyleProperties `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  GLib.GType GType Property. a Returns the native value for .
- Property
  GLib.Property("gtk-icon-sizes")
  System.String A string representing possible sizes for icons for different UI components. a This may look something like "(gtk-menu=16,16;gtk-button=20,20 [...])".
- Property
  GLib.Property("gtk-icon-theme-name")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-im-module")
  System.String To be added. To be added. To be added.
- Method
  System.Void `` A , pointer to an unmanaged C property object. Installs a property.
- Method
  System.Void `` `` A , pointer to the underlying C object (TODO: explain) A Sets up the property parser for reading Rc files.
- Property
  GLib.Property("gtk-keynav-cursor-only")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-keynav-wrap-around")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-key-theme-name")
  System.String The name of the key theme RC file to load. a
- Property
  GLib.Property("gtk-label-select-on-focus")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-menu-bar-accel")
  System.String Keybinding to activate the menu bar. a Defaults to F10.
- Property
  GLib.Property("gtk-menu-bar-popup-delay")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-menu-images")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-menu-popdown-delay")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-menu-popup-delay")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-modules")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-print-backends")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-print-preview-command")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-recent-files-limit")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-recent-files-max-age")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-scrolled-window-placement")
  Gtk.CornerType To be added. To be added. To be added.
- Method
  System.Void `` `` `` A A A Sets a property whose value is a .
- Method
  System.Void `` `` `` A A A Sets a property whose content is a .
- Method
  System.Void `` `` A A Sets a property whose value is a .
- Method
  System.Void `` `` `` A A A Sets a property whose value is a .
- Property
  GLib.Property("gtk-show-input-method-menu")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-show-unicode-menu")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-sound-theme-name")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-split-cursor")
  System.Boolean Whether two cursors should be displayed for mixed left-to-right and right-to-left text. a
- Property
  GLib.Property("gtk-theme-name")
  System.String Name of the theme RC file to load. a
- Property
  GLib.Property("gtk-timeout-expand")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-timeout-initial")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-timeout-repeat")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-toolbar-icon-size")
  Gtk.IconSize To be added. To be added. To be added.
- Property
  GLib.Property("gtk-toolbar-style")
  Gtk.ToolbarStyle To be added. To be added. To be added.
- Property
  GLib.Property("gtk-tooltip-browse-mode-timeout")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-tooltip-browse-timeout")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-tooltip-timeout")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-touchscreen-mode")
  System.Boolean To be added. To be added. To be added.
- Property
  GLib.Property("gtk-xft-antialias")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-xft-dpi")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-xft-hinting")
  System.Int32 To be added. To be added. To be added.
- Property
  GLib.Property("gtk-xft-hintstyle")
  System.String To be added. To be added. To be added.
- Property
  GLib.Property("gtk-xft-rgba")
  System.String To be added. To be added. To be added.